SDL_SignalCondition(3)

NAME
SDL_SignalCondition - Restart one of the threads that are waiting on the condition variable.

HEADER FILE
Defined in SDL3/SDL_mutex.h

SYNOPSIS
#include "SDL3/SDL.h"

int SDL_SignalCondition(SDL_Condition *cond);

FUNCTION PARAMETERS

cond
    the condition variable to signal

RETURN VALUE
Returns 0 on success or a negative error code on failure; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_BroadcastCondition(3), SDL_WaitCondition(3), SDL_WaitConditionTimeout(3)